<?xml version="1.0" encoding="UTF-8"?>
<ecore:EPackage xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xmlns:ecore="http://www.eclipse.org/emf/2002/Ecore" name="dispatching" nsURI="http://www.eclipse.org/lsat/dispatching"
    nsPrefix="dispatching">
  <eClassifiers xsi:type="ecore:EClass" name="ActivityDispatching" eSuperTypes="../../org.eclipse.lsat.machine.dsl/model/machine.ecore#//ImportContainer">
    <eStructuralFeatures xsi:type="ecore:EReference" name="dispatchGroups" lowerBound="1"
        upperBound="-1" eType="#//DispatchGroup" containment="true"/>
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="numberOfIterations" lowerBound="1"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EInt" defaultValueLiteral="1"/>
    <eStructuralFeatures xsi:type="ecore:EReference" name="resourceIterations" upperBound="-1"
        eType="#//ResourceIterationsMapEntry" containment="true"/>
  </eClassifiers>
  <eClassifiers xsi:type="ecore:EClass" name="Dispatch" eSuperTypes="#//HasUserAttributes">
    <eStructuralFeatures xsi:type="ecore:EReference" name="activity" lowerBound="1"
        eType="ecore:EClass ../../org.eclipse.lsat.activity.dsl/model/activity.ecore#//Activity"/>
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="description" eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EString"/>
    <eStructuralFeatures xsi:type="ecore:EReference" name="resourceItems" upperBound="-1"
        eType="ecore:EClass ../../org.eclipse.lsat.machine.dsl/model/machine.ecore#//ResourceItem"/>
  </eClassifiers>
  <eClassifiers xsi:type="ecore:EClass" name="DispatchGroup" eSuperTypes="#//HasUserAttributes">
    <eStructuralFeatures xsi:type="ecore:EReference" name="dispatches" lowerBound="1"
        upperBound="-1" eType="#//Dispatch" containment="true"/>
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="offset" lowerBound="1"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EBigDecimal"
        defaultValueLiteral="0.0"/>
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="name" lowerBound="1" eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EString"
        defaultValueLiteral="default"/>
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="iteratorName" lowerBound="1"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EString" defaultValueLiteral="iteration"/>
    <eStructuralFeatures xsi:type="ecore:EReference" name="repeats" upperBound="-1"
        eType="#//Repeat" containment="true"/>
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="yield" lowerBound="1" eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EInt"
        defaultValueLiteral="1"/>
    <eStructuralFeatures xsi:type="ecore:EReference" name="resourceYield" upperBound="-1"
        eType="#//ResourceYieldMapEntry" containment="true"/>
  </eClassifiers>
  <eClassifiers xsi:type="ecore:EClass" name="ResourceIterationsMapEntry" instanceClassName="java.util.Map$Entry">
    <eStructuralFeatures xsi:type="ecore:EReference" name="key" lowerBound="1" eType="ecore:EClass ../../org.eclipse.lsat.machine.dsl/model/machine.ecore#//IResource"/>
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="value" lowerBound="1" eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EIntegerObject"/>
  </eClassifiers>
  <eClassifiers xsi:type="ecore:EClass" name="AttributesMapEntry" instanceClassName="java.util.Map$Entry">
    <eStructuralFeatures xsi:type="ecore:EReference" name="key" lowerBound="1" eType="#//Attribute"
        containment="true"/>
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="value" lowerBound="1" eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EString"/>
  </eClassifiers>
  <eClassifiers xsi:type="ecore:EClass" name="Attribute">
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="name" lowerBound="1" eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EString"/>
  </eClassifiers>
  <eClassifiers xsi:type="ecore:EClass" name="HasUserAttributes" abstract="true" interface="true">
    <eStructuralFeatures xsi:type="ecore:EReference" name="userAttributes" upperBound="-1"
        eType="#//AttributesMapEntry" containment="true"/>
  </eClassifiers>
  <eClassifiers xsi:type="ecore:EClass" name="Repeat">
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="start" lowerBound="1" eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EInt"
        defaultValueLiteral="1"/>
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="count" lowerBound="1" eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EInt"
        changeable="false" volatile="true" transient="true" defaultValueLiteral="1">
      <eAnnotations source="http://www.eclipse.org/emf/2002/GenModel">
        <details key="get" value="return eIsSet(DispatchingPackage.REPEAT__END) ?  getEnd()+1-getStart() : getNumRepeats();"/>
      </eAnnotations>
    </eStructuralFeatures>
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="end" eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EInt"/>
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="numRepeats" lowerBound="1"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EInt" defaultValueLiteral="1"/>
  </eClassifiers>
  <eClassifiers xsi:type="ecore:EClass" name="ResourceYieldMapEntry" instanceClassName="java.util.Map$Entry">
    <eStructuralFeatures xsi:type="ecore:EReference" name="key" lowerBound="1" eType="ecore:EClass ../../org.eclipse.lsat.machine.dsl/model/machine.ecore#//IResource"/>
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="value" lowerBound="1" eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EIntegerObject"/>
  </eClassifiers>
</ecore:EPackage>
